---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libthrstat02.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x4E8, symBinAddr: 0x2200, symSize: 0x274 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x1FBC0, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0xB0, offset: 0xB0, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1FD10, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8CDB, offset: 0x8CDB, size: 0x8, addend: 0x0, symName: __ZL11access_lock, symObjAddr: 0x1FD18, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8CF4, offset: 0x8CF4, size: 0x8, addend: 0x0, symName: __ZL7thr_ptr, symObjAddr: 0x1FD20, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8D0D, offset: 0x8D0D, size: 0x8, addend: 0x0, symName: __ZL9wait_lock, symObjAddr: 0x1FD28, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8D26, offset: 0x8D26, size: 0x8, addend: 0x0, symName: __ZL9wait_time, symObjAddr: 0x1FD30, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8D3F, offset: 0x8D3F, size: 0x8, addend: 0x0, symName: __ZL5state, symObjAddr: 0x2C9C, symBinAddr: 0x3F0C, symSize: 0x0 }
  - { offsetInCU: 0x8DDC, offset: 0x8DDC, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2474, symSize: 0x24 }
  - { offsetInCU: 0x90EE, offset: 0x90EE, size: 0x8, addend: 0x0, symName: _printStateFlags, symObjAddr: 0xC70, symBinAddr: 0x2498, symSize: 0x94 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0xD04, symBinAddr: 0x252C, symSize: 0x8C }
  - { offsetInCU: 0x93D9, offset: 0x93D9, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0xD90, symBinAddr: 0x25B8, symSize: 0x1B8 }
  - { offsetInCU: 0x977B, offset: 0x977B, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0xF48, symBinAddr: 0x2770, symSize: 0x90 }
  - { offsetInCU: 0x9915, offset: 0x9915, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xFD8, symBinAddr: 0x2800, symSize: 0x1A0 }
  - { offsetInCU: 0x9BCA, offset: 0x9BCA, size: 0x8, addend: 0x0, symName: _Java_thrstat02_init, symObjAddr: 0x1178, symBinAddr: 0x29A0, symSize: 0x14 }
  - { offsetInCU: 0x9C52, offset: 0x9C52, size: 0x8, addend: 0x0, symName: _wait_for, symObjAddr: 0x118C, symBinAddr: 0x29B4, symSize: 0x16C }
  - { offsetInCU: 0xA003, offset: 0xA003, size: 0x8, addend: 0x0, symName: _Java_thrstat02_checkStatus0, symObjAddr: 0x12F8, symBinAddr: 0x2B20, symSize: 0x684 }
...
